{
    attributes = (
        {
            allowsNull = Y; 
            columnName = C_LOCAL; 
            externalType = VARCHAR2; 
            name = cLocal; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_CAPA_EXAM; 
            externalType = NUMBER; 
            name = salCapaExam; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_CAPACITE; 
            externalType = NUMBER; 
            name = salCapacite; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_DESCRIPTIF; 
            externalType = VARCHAR2; 
            name = salDescriptif; 
            valueClassName = NSString; 
            width = 210; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_ECRAN; 
            externalType = VARCHAR2; 
            name = salEcran; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = SAL_ETAGE; 
            externalType = VARCHAR2; 
            name = salEtage; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_IDENT_ACCES; 
            externalType = VARCHAR2; 
            name = salIdentAcces; 
            valueClassName = NSString; 
            width = 12; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_INSONORISEE; 
            externalType = VARCHAR2; 
            name = salInsonorisee; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_NATURE; 
            externalType = VARCHAR2; 
            name = salNature; 
            valueClassName = NSString; 
            width = 18; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_NB_ARMOIRES; 
            externalType = NUMBER; 
            name = salNbArmoires; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_NB_BUREAUX; 
            externalType = NUMBER; 
            name = salNbBureaux; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_NB_CHAISES; 
            externalType = NUMBER; 
            name = salNbChaises; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_NB_FENETRES; 
            externalType = NUMBER; 
            name = salNbFenetres; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_NB_PLACES_EXAM_LIB; 
            externalType = NUMBER; 
            name = salNbPlacesExamLib; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_NB_TABLES; 
            externalType = NUMBER; 
            name = salNbTables; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_NO_POSTE; 
            externalType = VARCHAR2; 
            name = salNoPoste; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_NUM_DEPART; 
            externalType = NUMBER; 
            name = salNumDepart; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = SAL_NUMERO; 
            externalType = NUMBER; 
            name = salNumero; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_OBSCUR; 
            externalType = VARCHAR2; 
            name = salObscur; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_PAS_NUM; 
            externalType = NUMBER; 
            name = salPasNum; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = SAL_PORTE; 
            externalType = VARCHAR2; 
            name = salPorte; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_POUR_ADMINISTRATION; 
            externalType = NUMBER; 
            name = salPourAdministration; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_POUR_DOCUMENTATION; 
            externalType = NUMBER; 
            name = salPourDocumentation; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_POUR_ENSEIGNEMENT; 
            externalType = NUMBER; 
            name = salPourEnseignement; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_POUR_RECHERCHE; 
            externalType = NUMBER; 
            name = salPourRecherche; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_POUR_TECHNIQUE; 
            externalType = NUMBER; 
            name = salPourTechnique; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_RESERVABLE; 
            externalType = VARCHAR2; 
            name = salReservable; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_RETRO; 
            externalType = VARCHAR2; 
            name = salRetro; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_SALLE_PROCHE_TEL; 
            externalType = NUMBER; 
            name = salSalleProcheTel; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_SUPERFICIE; 
            externalType = NUMBER; 
            name = salSuperficie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_TABLEAU; 
            externalType = VARCHAR2; 
            name = salTableau; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_TABLEAU_BLANC; 
            externalType = VARCHAR2; 
            name = salTableauBlanc; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_TABLEAU_PAPIER; 
            externalType = VARCHAR2; 
            name = salTableauPapier; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_TELEVISION; 
            externalType = VARCHAR2; 
            name = salTelevision; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_TEM_EN_SERVICE; 
            externalType = VARCHAR2; 
            name = salTemEnService; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = SAL_TEM_HANDICAP; 
            externalType = VARCHAR2; 
            name = salTemHandicap; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = TSAL_NUMERO; 
            externalType = NUMBER; 
            name = tsalNumero; 
            precision = 38; 
            valueClassName = NSDecimalNumber; 
        }
    ); 
    attributesUsedForLocking = (
        salNumero, 
        salPorte, 
        salEtage, 
        salNature, 
        tsalNumero, 
        salCapacite, 
        salSuperficie, 
        salNbFenetres, 
        salInsonorisee, 
        salTableau, 
        salRetro, 
        salTelevision, 
        salNoPoste, 
        salDescriptif, 
        salNbChaises, 
        salNbTables, 
        salNbBureaux, 
        salNbArmoires, 
        salIdentAcces, 
        salObscur, 
        salEcran, 
        salReservable, 
        salTableauBlanc, 
        salTableauPapier, 
        cLocal, 
        salPourEnseignement, 
        salPourRecherche, 
        salPourAdministration, 
        salPourDocumentation, 
        salPourTechnique, 
        salPasNum, 
        salTemHandicap, 
        salTemEnService, 
        salCapaExam, 
        salNbPlacesExamLib, 
        salSalleProcheTel, 
        salNumDepart, 
        dCreation, 
        dModification
    ); 
    className = EOGenericRecord; 
    classProperties = (
        salNumero, 
        salPorte, 
        salEtage, 
        salNature, 
        tsalNumero, 
        salCapacite, 
        salSuperficie, 
        salNbFenetres, 
        salInsonorisee, 
        salTableau, 
        salRetro, 
        salTelevision, 
        salNoPoste, 
        salDescriptif, 
        salNbChaises, 
        salNbTables, 
        salNbBureaux, 
        salNbArmoires, 
        salIdentAcces, 
        salObscur, 
        salEcran, 
        salReservable, 
        salTableauBlanc, 
        salTableauPapier, 
        cLocal, 
        salPourEnseignement, 
        salPourRecherche, 
        salPourAdministration, 
        salPourDocumentation, 
        salPourTechnique, 
        salPasNum, 
        salTemHandicap, 
        salTemEnService, 
        salCapaExam, 
        salNbPlacesExamLib, 
        salSalleProcheTel, 
        salNumDepart, 
        dCreation, 
        dModification, 
        toLocal
    ); 
    externalName = SALLES; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (
            salNumero, 
            salPorte, 
            salEtage, 
            salNature, 
            tsalNumero, 
            salCapacite, 
            salSuperficie, 
            salNbFenetres, 
            salInsonorisee, 
            salTableau, 
            salRetro, 
            salTelevision, 
            salNoPoste, 
            salDescriptif, 
            salNbChaises, 
            salNbTables, 
            salNbBureaux, 
            salNbArmoires, 
            salIdentAcces, 
            salObscur, 
            salEcran, 
            salReservable, 
            salTableauBlanc, 
            salTableauPapier, 
            cLocal, 
            salPourEnseignement, 
            salPourRecherche, 
            salPourAdministration, 
            salPourDocumentation, 
            salPourTechnique, 
            salPasNum, 
            salTemHandicap, 
            salTemEnService, 
            salCapaExam, 
            salNbPlacesExamLib, 
            salSalleProcheTel, 
            salNumDepart, 
            dCreation, 
            dModification, 
            toLocal
        ); 
    }; 
    name = Salles; 
    primaryKeyAttributes = (salNumero); 
    relationships = (
        {
            destination = Local; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cLocal; sourceAttribute = cLocal; }); 
            name = toLocal; 
        }
    ); 
}
